Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.server
Class XmlRpcLocalStreamServer

    java.lang.Object
      org.apache.xmlrpc.common.XmlRpcController
          org.apache.xmlrpc.server.XmlRpcServer
              org.apache.xmlrpc.server.XmlRpcStreamServer
                  org.apache.xmlrpc.server.XmlRpcLocalStreamServer

All Implemented Interfaces:
  XmlRpcRequestProcessor, XmlRpcStreamRequestProcessor

    public class XmlRpcLocalStreamServer

extends XmlRpcStreamServer

Server part of a local stream transport.

Constructor Summary
`XmlRpcLocalStreamServer()`

Method Summary
`java.lang.Object` | `execute(XmlRpcRequest pRequest)` Performs the given request.

Methods inherited from class org.apache.xmlrpc.server.XmlRpcStreamServer
`convertThrowable, execute, getErrorLogger, getInputStream, getOutputStream, getOutputStream, getRequest, getXmlRpcWriter, getXMLWriterFactory, isContentLengthRequired, logError, setErrorLogger, setXMLWriterFactory, writeError, writeResponse`

Methods inherited from class org.apache.xmlrpc.server.XmlRpcServer
`getConfig, getDefaultXmlRpcWorkerFactory, getHandlerMapping, getTypeConverterFactory, setConfig, setHandlerMapping, setTypeConverterFactory`

Methods inherited from class org.apache.xmlrpc.common.XmlRpcController
`getMaxThreads, getTypeFactory, getWorkerFactory, setMaxThreads, setTypeFactory, setWorkerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcRequestProcessor
`getTypeConverterFactory`

Constructor Detail

### XmlRpcLocalStreamServer

    public XmlRpcLocalStreamServer()

Method Detail

### execute

    public java.lang.Object execute(XmlRpcRequest pRequest)
                             throws XmlRpcException

  Description copied from class: `XmlRpcServer`
  Performs the given request.

  Specified by:
    `execute` in interface `XmlRpcRequestProcessor`
  Overrides:
    `execute` in class `XmlRpcServer`
  Parameters:
    `pRequest` - The request being executed.
  Returns:
    The result object.
  Throws:
    `XmlRpcException` - The request failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.